      SUBROUTINE CSINGEN(N,S,R,CSIG)                                            
      REAL*4 DELTAX,S(N),R(N)                                                   
      INTEGER*4 I,N                                                             
      COMPLEX CSIG(N)                                                           
      DATA PI/3.141592653589793/                                                
C                                                                               
      DELTAX=8.0*PI/FLOAT(N)                                                    
C     FORTRAN DO LOOP                                                           
      DO 1000 I=1,N                                                             
          S(I)=COS(DELTAX*(I-1))                                                
          R(I)=SIN(DELTAX*(I-1))                                                
          CSIG(I)=CMPLX(S(I),R(I))                                              
C     ENDDO                                                                     
1000  CONTINUE                                                                  
C                                                                               
      RETURN                                                                    
      END                                                                       
